<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{BCBD839A-C9A0-4BE7-98CA-B0A88AD38E5A}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>MECF.Framework.RT.Core</RootNamespace>
    <AssemblyName>MECF.Framework.RT.Core</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
    <ProjectTypeGuids>{60dc8134-eba5-43b8-bcc9-bb4bc16c2548};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    <LangVersion>latest</LangVersion>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <CodeAnalysisIgnoreGeneratedCode>false</CodeAnalysisIgnoreGeneratedCode>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    <LangVersion>latest</LangVersion>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="log4net">
      <HintPath>..\..\Dependencies\log4net.dll</HintPath>
    </Reference>
    <Reference Include="PresentationCore" />
    <Reference Include="PresentationFramework" />
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.ServiceModel" />
    <Reference Include="System.Windows" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xaml" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
    <Reference Include="WindowsBase" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Applications\IRtInstance.cs" />
    <Compile Include="Applications\IRtLoader.cs" />
    <Compile Include="Applications\RtApplication.cs" />
    <Compile Include="Applications\RtSystemManager.cs" />
    <Compile Include="Backend\BackendMainView.xaml.cs">
      <DependentUpon>BackendMainView.xaml</DependentUpon>
    </Compile>
    <Compile Include="Backend\BackendSCConfigView.xaml.cs">
      <DependentUpon>BackendSCConfigView.xaml</DependentUpon>
    </Compile>
    <Compile Include="Backend\BackendIDExportView.xaml.cs">
      <DependentUpon>BackendIDExportView.xaml</DependentUpon>
    </Compile>
    <Compile Include="Backend\PassWordView.xaml.cs">
      <DependentUpon>PassWordView.xaml</DependentUpon>
    </Compile>
    <Compile Include="IoProviders\Mitsubishis\MCProtocolPlc.cs" />
    <Compile Include="IoProviders\Mitsubishis\MCProtocol.cs" />
    <Compile Include="IoProviders\Mitsubishis\MCSocket.cs" />
    <Compile Include="IoProviders\Mitsubishis\MelsecElement.cs" />
    <Compile Include="IoProviders\Mitsubishis\MelsecMCBin.cs" />
    <Compile Include="IoProviders\Mitsubishis\MYMCProtocolPlc.cs" />
    <Compile Include="IoProviders\Siemens\IMessage\FetchWriteMessage.cs" />
    <Compile Include="IoProviders\Siemens\IMessage\INetMessage.cs" />
    <Compile Include="IoProviders\Siemens\IMessage\ModbusTcpMessage.cs" />
    <Compile Include="IoProviders\Siemens\IMessage\S7Message.cs" />
    <Compile Include="IoProviders\Siemens\Net\HslTimeOut.cs" />
    <Compile Include="IoProviders\Siemens\Net\IDataTransfer.cs" />
    <Compile Include="IoProviders\Siemens\Net\IReadWriteNet.cs" />
    <Compile Include="IoProviders\Siemens\Net\NetSupport.cs" />
    <Compile Include="IoProviders\Siemens\Net\NetworkBase\NetworkBase.cs" />
    <Compile Include="IoProviders\Siemens\Net\NetworkBase\NetworkDeviceBase.cs" />
    <Compile Include="IoProviders\Siemens\Net\NetworkBase\NetworkDoubleBase.cs" />
    <Compile Include="IoProviders\Siemens\Net\StateOne\AlienSession.cs" />
    <Compile Include="IoProviders\Siemens\Net\StateOne\AsyncStateSend.cs" />
    <Compile Include="IoProviders\Siemens\Net\StateOne\FileStateObject.cs" />
    <Compile Include="IoProviders\Siemens\Net\StateOne\StateObject.cs" />
    <Compile Include="IoProviders\Siemens\Net\StateOne\StateOneBase.cs" />
    <Compile Include="IoProviders\Siemens\OperateResult.cs" />
    <Compile Include="IoProviders\Siemens\Serial\SerialBase.cs" />
    <Compile Include="IoProviders\Siemens\Serial\SerialDeviceBase.cs" />
    <Compile Include="IoProviders\Siemens\SiemensFetchWriteNet.cs" />
    <Compile Include="IoProviders\Siemens\SiemensPLCS.cs" />
    <Compile Include="IoProviders\Siemens\SiemensPPI.cs" />
    <Compile Include="IoProviders\Siemens\SiemensS7Net.cs" />
    <Compile Include="IoProviders\Siemens\Transfer\ByteTransformBase.cs" />
    <Compile Include="IoProviders\Siemens\Transfer\ByteTransformHelper.cs" />
    <Compile Include="IoProviders\Siemens\Transfer\DataFormat.cs" />
    <Compile Include="IoProviders\Siemens\Transfer\IByteTransform.cs" />
    <Compile Include="IoProviders\Siemens\Transfer\RegularByteTransform.cs" />
    <Compile Include="IoProviders\Siemens\Transfer\ReverseBytesTransform.cs" />
    <Compile Include="IoProviders\Siemens\Transfer\ReverseWordTransform.cs" />
    <Compile Include="IoProviders\Siemens\Transfer\SoftBasic.cs" />
    <Compile Include="Language\DefaultLanguage.cs" />
    <Compile Include="Language\English.cs" />
    <Compile Include="Managers\PDS\ProcessDataStatCounter.cs" />
    <Compile Include="Managers\PDS\ProcessDataStatPerRun.cs" />
    <Compile Include="Managers\PDS\ProcessDataStatManager.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="StringResources.cs" />
    <Compile Include="ThreadLock\ThreadLock.cs" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Resources\AitexDefault.ico" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\MECF.Framework.Common\MECF.Framework.Common.csproj">
      <Project>{efad063f-fa97-42b7-87f8-8279eba30d34}</Project>
      <Name>MECF.Framework.Common</Name>
    </ProjectReference>
    <ProjectReference Include="..\MECF.Framework.UI.Core\MECF.Framework.UI.Core.csproj">
      <Project>{2c9e1df3-1aba-4972-be60-41dd9b3c47a7}</Project>
      <Name>MECF.Framework.UI.Core</Name>
    </ProjectReference>
    <ProjectReference Include="..\Sicentury.Core\Sicentury.Core.csproj">
      <Project>{A78B3F87-4601-43F7-A941-EDB339CE35A9}</Project>
      <Name>Sicentury.Core</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Page Include="Backend\BackendMainView.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Backend\BackendSCConfigView.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Backend\BackendIDExportView.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="Backend\PassWordView.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="Resources\LocalResource.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\default_rt.ico" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Resources\MyLogoTray.ico" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="IoProviders\Beckhoff\" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>